package com.zhgd.exception;

import org.springframework.http.HttpStatus;

/**
 * @program: devManage
 * @description: 自定义用户异常
 * @author: Mr.Peng
 * @create: 2019-09-24 11:31
 **/

public class CustomException extends RuntimeException {

    private static final long serialVersionUID = 1L;

    private final String message;
    private final HttpStatus httpStatus;

    public CustomException(String message, HttpStatus httpStatus) {
        this.message = message;
        this.httpStatus = httpStatus;
    }

    @Override
    public String getMessage() {
        return message;
    }

    public HttpStatus getHttpStatus() {
        return httpStatus;
    }
}
